List Repricer Strategies (Paged)
Returns a paginated, filterable list of repricer strategies for the current seller.
This operation is designed for Newegg.com and Newegg.ca.
Resource URL
Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/list?sellerid={sellerid}
Newegg.ca: https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/strategy/list?sellerid={sellerid}
Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.
Parameters
| Name | Required? | Description |
|---|---|---|
| sellerId | Yes | Seller ID, used for authentication. |
| name | No | Strategy name keyword for partial match filtering. |
| status | No | Status filter: A (Active) or P (Paused). If omitted, all strategies regardless of status are returned. |
| pageSize | Yes | Number of records per page. |
| pageIndex | Yes | Page number. |
Resource Information
| HTTP Method | Authentication? | Request Formats | Response Formats | Rate Limited? | Maximum Size of Request |
|---|---|---|---|---|---|
| POST | Required | XML, JSON | XML, JSON | 500 requests per hour |
Request Body
Example: XML, Request
POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/list?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml
<NeweggAPIRequest>
<OperationType>GetRepricerStrategyListPaged</OperationType>
<RequestBody>
<Status>A</Status>
<PageIndex>1</PageIndex>
<PageSize>20</PageSize>
</RequestBody>
</NeweggAPIRequest>
Example: Json, Request
POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/list?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json
{
"status": "A",
"pageIndex": 1,
"pageSize": 20
}
Response Body
| Attribute | Format | Description |
|---|---|---|
| IsSuccess | Boolean | Get feed status operation: True: Successful False: Not successful |
| SellerID | String | Your seller ID |
| OperationType | String | Fixed value: GetRepricerStrategyListPaged |
| ResponseDate | String | Your response date time (Pacific Standard Time) |
| Data | List | List of repricer strategies. |
| Data[].Id | Integer | Primary key of the strategy. |
| Data[].Name | String | Strategy name. |
| Data[].StrategyTypeId | Integer | Strategy type ID. |
| Data[].BeatByStep | Decimal | Price adjustment step value. |
| Data[].StepUnit | String | Step unit: P or F. |
| Data[].Status | String | Strategy status: A(Active) or P(Pause). |
| Data[].SellerId | String | Seller ID. |
| Data[].PlatformCode | String | Platform code: USA, B2B, or CAN. |
| Data[].InUser | String | Created by. |
| Data[].InDate | DateTime | Creation timestamp. |
| Data[].LastEditUser | String | Last modified by. |
| Data[].LastEditDate | DateTime | Last modified timestamp. |
| Data[].ItemCount | Integer | Number of items bound to this strategy. |
Note: Each item also includes a TotalCount (Integer) field indicating the total number of strategies matching the filter criteria.
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
<IsSuccess>true</IsSuccess>
<SellerID>A2GS</SellerID>
<OperationType>GetRepricerStrategyListPaged</OperationType>
<ResponseDate>2026-06-27T14:12:44.6668763+08:00</ResponseDate>
<ResponseBody>
<Item>
<Id>196</Id>
<Name>test strategy</Name>
<StrategyTypeId>4</StrategyTypeId>
<BeatByStep>0.01</BeatByStep>
<StepUnit>F</StepUnit>
<Status>A</Status>
<SellerId>A2GS</SellerId>
<PlatformCode>USA</PlatformCode>
<InUser>A2GS</InUser>
<InDate>2026-06-26T22:53:11</InDate>
<LastEditDate>2026-06-26T22:53:11</LastEditDate>
<ItemCount>0</ItemCount>
<TotalCount>11</TotalCount>
</Item>
</ResponseBody>
</NeweggAPIResponse>
Example: Json, Response
{
"IsSuccess": true,
"SellerID": "A2GS",
"OperationType": "GetRepricerStrategyListPaged",
"ResponseDate": "2026-06-27T14:12:44.6668763+08:00",
"ResponseBody": [
{
"Id": 196,
"Name": "test strategy",
"StrategyTypeId": 4,
"BeatByStep": 0.01,
"StepUnit": "F",
"Status": "A",
"SellerId": "A2GS",
"PlatformCode": "USA",
"InUser": "A2GS",
"InDate": "2026-06-26T22:53:11",
"LastEditDate": "2026-06-26T22:53:11",
"ItemCount": 0,
"TotalCount": 11
}
]
}
Request Failure Errors
| Error Code | Description |
|---|---|
| InvalidToken | Illegal secret key. |
| — | The provided SellerId is null. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<Errors>
<Error>
<Code>InvalidToken</Code>
<Message>Illegal secret key.</Message>
</Error>
</Errors>
Example: Json, Response
[
{
"Code": "InvalidToken",
"Message": "Illegal secret key."
}
]
Last updated: July 13, 2026